OGRE: Ogre::Degree Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Friends | List of all members
Ogre::Degree Class Reference
Core » Math

Wrapper class which indicates a given angle value is in Degrees. More...

`#include <OgreMath.h>`

## Public Member Functions
| Degree (const Radian &r)
| Degree (Real d=0)
bool | operator!= (const Degree &d) const
Degree | operator* (const Degree &f) const
Degree | operator* (Real f) const
Degree & | operator*= (Real f)
const Degree & | operator+ () const
Degree | operator+ (const Degree &d) const
Degree | operator+ (const Radian &r) const
Degree & | operator+= (const Degree &d)
Degree & | operator+= (const Radian &r)
Degree | operator- () const
Degree | operator- (const Degree &d) const
Degree | operator- (const Radian &r) const
Degree & | operator-= (const Degree &d)
Degree & | operator-= (const Radian &r)
Degree | operator/ (Real f) const
Degree & | operator/= (Real f)
bool | operator< (const Degree &d) const
bool | operator<= (const Degree &d) const
Degree & | operator= (const Degree &d)
Degree & | operator= (const Radian &r)
Degree & | operator= (const Real &f)
bool | operator== (const Degree &d) const
bool | operator> (const Degree &d) const
bool | operator>= (const Degree &d) const
Real | valueAngleUnits () const
Real | valueDegrees () const
Real | valueRadians () const

## Friends
_OgreExport friend std::ostream & | operator<< (std::ostream &o, const Degree &v)

## Detailed Description

Wrapper class which indicates a given angle value is in Degrees.

Remarks
  Degree values are interchangeable with Radian values, and conversions will be done automatically between them.

## Constructor & Destructor Documentation

## ◆ Degree() [1/2]

Ogre::Degree::Degree | ( | Real | d = `0` | ) |
| inlineexplicit

Referenced by operator*(), operator+(), operator-(), and operator/().

## ◆ Degree() [2/2]

Ogre::Degree::Degree | ( | const Radian & | r | ) |
| inline

## Member Function Documentation

## ◆ operator!=()

bool Ogre::Degree::operator!= | ( | const Degree & | d | ) | const
| inline

## ◆ operator*() [1/2]

Degree Ogre::Degree::operator* | ( | const Degree & | f | ) | const
| inline

References Degree().

## ◆ operator*() [2/2]

Degree Ogre::Degree::operator* | ( | Real | f | ) | const
| inline

References Degree().

## ◆ operator*=()

Degree& Ogre::Degree::operator*= | ( | Real | f | ) |
| inline

## ◆ operator+() [1/3]

const Degree& Ogre::Degree::operator+ | ( |  | ) | const
| inline

## ◆ operator+() [2/3]

Degree Ogre::Degree::operator+ | ( | const Degree & | d | ) | const
| inline

References Degree().

## ◆ operator+() [3/3]

Degree Ogre::Degree::operator+ | ( | const Radian & | r | ) | const
| inline

References Degree(), and Ogre::Radian::valueDegrees().

## ◆ operator+=() [1/2]

Degree& Ogre::Degree::operator+= | ( | const Degree & | d | ) |
| inline

## ◆ operator+=() [2/2]

Degree& Ogre::Degree::operator+= | ( | const Radian & | r | ) |
| inline

References Ogre::Radian::valueDegrees().

## ◆ operator-() [1/3]

Degree Ogre::Degree::operator- | ( |  | ) | const
| inline

References Degree().

## ◆ operator-() [2/3]

Degree Ogre::Degree::operator- | ( | const Degree & | d | ) | const
| inline

References Degree().

## ◆ operator-() [3/3]

Degree Ogre::Degree::operator- | ( | const Radian & | r | ) | const
| inline

References Degree(), and Ogre::Radian::valueDegrees().

## ◆ operator-=() [1/2]

Degree& Ogre::Degree::operator-= | ( | const Degree & | d | ) |
| inline

## ◆ operator-=() [2/2]

Degree& Ogre::Degree::operator-= | ( | const Radian & | r | ) |
| inline

References Ogre::Radian::valueDegrees().

## ◆ operator/()

Degree Ogre::Degree::operator/ | ( | Real | f | ) | const
| inline

References Degree().

## ◆ operator/=()

Degree& Ogre::Degree::operator/= | ( | Real | f | ) |
| inline

## ◆ operator<()

bool Ogre::Degree::operator< | ( | const Degree & | d | ) | const
| inline

## ◆ operator<=()

bool Ogre::Degree::operator<= | ( | const Degree & | d | ) | const
| inline

## ◆ operator=() [1/3]

Degree& Ogre::Degree::operator= | ( | const Degree & | d | ) |
| inline

## ◆ operator=() [2/3]

Degree& Ogre::Degree::operator= | ( | const Radian & | r | ) |
| inline

References Ogre::Radian::valueDegrees().

## ◆ operator=() [3/3]

Degree& Ogre::Degree::operator= | ( | const Real & | f | ) |
| inline

## ◆ operator==()

bool Ogre::Degree::operator== | ( | const Degree & | d | ) | const
| inline

## ◆ operator>()

bool Ogre::Degree::operator> | ( | const Degree & | d | ) | const
| inline

## ◆ operator>=()

bool Ogre::Degree::operator>= | ( | const Degree & | d | ) | const
| inline

## ◆ valueDegrees()

Real Ogre::Degree::valueDegrees | ( |  | ) | const
| inline

Referenced by Ogre::Math::Abs(), Ogre::operator*(), Ogre::operator/(), Ogre::Math::Sign(), and Ogre::Math::Sqrt().

## Friends And Related Function Documentation

## ◆ operator<<

_OgreExport friend std::ostream& operator<< | ( | std::ostream & | o,
|  | const Degree & | v
| ) |  |
| friend

The documentation for this class was generated from the following file:

- OgreMath.h